EDIT - task #9623

Remove TaxonBaseShortSecCacheStrategy
05/14/2021 01:13 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 50%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.23

Severity: normal

Description

The cache strategy is not used anymore and TaxonBaseDefaultCacheStrategy now implements sec referencing the same way (with

short citations where possible).

We may also remove CacheUpdaterWithNewCacheStrategy as it is the only class using TaxonBaseShortSecCacheStrategy but

itself is not in use anymore and also not needed.

Tests with the TaxonBaseShortSecCacheStrategy show that the only significant difference is that
TaxonBaseShortSecCacheStrategy uses brackets around the year (but we have decided the we do not want brackets anymore) and

it has no support for the microreferenc.

Associated revisions

Revision e80d154b - 05/14/2021 01:14 PM - Andreas Muller

fix #9623 remove TaxonBaseShortSecCacheStrategy and CacheUpdaterWithNewCacheStrategy

History

#1 - 05/14/2021 01:18 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|e80d154bb2d5faf5c1219935eacc16132a22e82c.

#2 - 05/14/2021 01:21 PM - Andreas Miiller
- Description updated

- Assignee changed from Andreas Miiller to Katja Luther

| think there is not much to review but just to let you know that | have done this.

#3 - 05/14/2021 01:21 PM - Andreas Miiller

- Tags set to formatting

#4 - 05/17/2021 09:54 AM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.23

#5 - 05/17/2021 11:00 AM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Mdiller

ok
